/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */

/*
 * EggNetworkTree GTK+ Widget - egg-network-tree.h
 * 
 * Copyright (C) 2009 Luca Cavalli <luca.cavalli@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Authors: Luca Cavalli <luca.cavalli@gmail.com>
 */

#ifndef __EGG_NETWORK_TREE_H__
#define __EGG_NETWORK_TREE_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define EGG_TYPE_NETWORK_TREE          (egg_network_tree_get_type ())
#define EGG_NETWORK_TREE(obj)          (G_TYPE_CHECK_INSTANCE_CAST ((obj), EGG_TYPE_NETWORK_TREE, EggNetworkTree))
#define EGG_NETWORK_TREE_CLASS(obj)    (G_TYPE_CHECK_CLASS_CAST ((obj), EGG_NETWORK_TREE, EggNetworkTreeClass))
#define EGG_IS_NETWORK_TREE(obj)       (G_TYPE_CHECK_INSTANCE_TYPE ((obj), EGG_TYPE_NETWORK_TREE))
#define EGG_IS_NETWORK_TREE_CLASS(obj) (G_TYPE_CHECK_CLASS_TYPE ((obj), EFF_TYPE_NETWORK_TREE))
#define EGG_NETWORK_TREE_GET_CLASS     (G_TYPE_INSTANCE_GET_CLASS ((obj), EGG_TYPE_NETWORK_TREE, EggNetworkTreeClass))

typedef struct _EggNetworkTree        EggNetworkTree;
typedef struct _EggNetworkTreeClass   EggNetworkTreeClass;
typedef struct _EggNetworkTreePrivate EggNetworkTreePrivate;

struct _EggNetworkTree {
	GtkTreeView parent;

	/*< private >*/
	EggNetworkTreePrivate *priv;
};

struct _EggNetworkTreeClass {
	GtkTreeViewClass parent_class;

	/* signals */
	void (* host_selected) (EggNetworkTree *network_tree, const gchar *host_name, gpointer user_data);
};

GType      egg_network_tree_get_type (void) G_GNUC_CONST;
GtkWidget *egg_network_tree_new      (void);
void       egg_network_tree_refresh  (EggNetworkTree *network_tree);

G_END_DECLS

#endif /* __EGG_NETWORK_TREE_H__ */
